#FLM: EMT_Interpolate_Panel_v2.1

# Eduardo Manso #######################################
# Emtype Foundry / www.emtype.net 

#######################################################

# REQUIREMENT
# Interpolated Nudge module ( www.betatype.com/node/18 )
# Robofab Python library ( www.robofab.com )

# NO WARRANTY. 
# The script is provided as is (Free and without warranties, support, etc...)

#######################################################
default_value= "10"
#######################################################

from InterpolateNode import interpolateNode,nudgeSelected
from robofab.interface.all.dialogs import Message
from dialogKit import *
from FL import *


class InterpolatePanel(object):
    
    def __init__(self):
        self.w = ModalDialog((220, 195), 'EMT Interpolate Panel', "Done!", "")
        
        self.w.editText = EditText((80, 59, 60, 26), default_value, callback=self.editTextCallback)
        self.w.up = Button((80, 10, 60, 35), 'Up', callback=self.upCallback)
        self.w.down = Button((80, 100, 60, 35), 'Down', callback=self.downCallback)
        self.w.left = Button((10, 55, 60, 35), 'Left', callback=self.leftCallback)
        self.w.right = Button((150, 55, 60, 35), 'Right', callback=self.rightCallback)
        self.w.open()
    
    def editTextCallback(self, sender):
        print 'default_value: ' + sender.get()
       
    def upCallback(self, sender):
				cantidad=self.w.editText.get()
				valor= int(cantidad)
				nudgeSelected(Point(0,valor))
				print 'Up: ' + str(valor)
				
    def downCallback(self, sender):
				cantidad=self.w.editText.get()
				valor= int(cantidad) 						   	
				nudgeSelected(Point(0,-valor))
				print 'Down: ' + str(-valor)

    def leftCallback(self, sender):
				cantidad=self.w.editText.get()
				valor= int(cantidad)				    	
				nudgeSelected(Point(-valor,0))
				print 'Left: ' + str(-valor)
    
    def rightCallback(self, sender):
				cantidad=self.w.editText.get()
				valor= int(cantidad)     	
				nudgeSelected(Point(valor,0))
				print 'Right: ' + str(valor)

if fl.glyph.isAnySelected():
	InterpolatePanel()
else:
	Message("Select at least one node (click-drag node)", 'Error!!!')
	
